Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class TextAreaElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.TextAreaElement

public class TextAreaElement
extends SinglePartElement

A TextAreaElement is used to capture user input in a text field on a form. Add a TextAreaElement to a FormElement with the addElement() method.

Some browser extensions like ONBLUR and ONFOCUS are supported in this class. You should verify that the browser(s) you are using for display understand these before using them.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `InputElement`, `FormElement`, `SelectElement`, `WrapType`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`TextAreaElement()` Constructs a TextAreaElement.
`TextAreaElement(java.lang.String namestr)` Constructs a TextAreaElement with the specified name and sets rows and columns to the default (10).
`TextAreaElement(java.lang.String namestr, java.lang.String contentstr)` Constructs a TextAreaElement with the specified name and set to the specified content and sets rows and cols to the default (10).

Method Summary
`protected java.lang.String` | `getHtmlCode()`
`protected boolean` | `printCR()`
`TextAreaElement` | `setCols(int val)` Sets the number of columns of a TextAreaElement.
`TextAreaElement` | `setContent(java.lang.String val)` Sets the contents of a TextAreaElement.
`TextAreaElement` | `setDisabled(boolean disable)` Disables the text area.
`TextAreaElement` | `setName(java.lang.String val)` Sets the name of a TextAreaElement.
`TextAreaElement` | `setOnBlur(java.lang.String val)` Sets the ONBLUR attribute of a TextAreaElement.
`TextAreaElement` | `setOnChange(java.lang.String val)` Sets the ONCHANGE attribute of a TextAreaElement.
`TextAreaElement` | `setOnFocus(java.lang.String val)` Sets the ONFOCUS attribute of a TextAreaElement.
`TextAreaElement` | `setOnSelect(java.lang.String val)` Sets the ONSELECT attribute of a TextAreaElement.
`TextAreaElement` | `setRows(int val)` Sets the number of rows of a TextAreaElement.
`TextAreaElement` | `setTabindex(int tabindex)` Sets the tabbing order for a TextAreaElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard.
`TextAreaElement` | `setTabindex(java.lang.String tabindex)` Sets the TABINDEX attribute for a TextAreaElement.
`TextAreaElement` | `setWrap(WrapType val)` Sets the WRAP attribute of a TextAreaElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextAreaElement

    public TextAreaElement()

  Constructs a TextAreaElement.

### TextAreaElement

    public TextAreaElement(java.lang.String namestr)

  Constructs a TextAreaElement with the specified name and sets rows and columns to the default (10).

  Parameters:
    `namestr` - Name of TextAreaElement

### TextAreaElement

    public TextAreaElement(java.lang.String namestr,
                           java.lang.String contentstr)

  Constructs a TextAreaElement with the specified name and set to the specified content and sets rows and cols to the default (10).

  Parameters:
    `namestr` - Name of TextAreaElement
    `contentstr` - Content of TextAreaElement

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Overrides:
    printCR in class ElementWithAttributes

### setContent

    public TextAreaElement setContent(java.lang.String val)

  Sets the contents of a TextAreaElement.

  Parameters:
    `val` - Content
  Returns:
    TextAreaElement

### setRows

    public TextAreaElement setRows(int val)

  Sets the number of rows of a TextAreaElement.

  Parameters:
    `val` - Rows
  Returns:
    TextAreaElement

### setCols

    public TextAreaElement setCols(int val)

  Sets the number of columns of a TextAreaElement.

  Parameters:
    `val` - Columns
  Returns:
    TextAreaElement

### setDisabled

    public TextAreaElement setDisabled(boolean disable)

  Disables the text area. To enable a disabled text area, call this method with `false`.

  Parameters:
    `disable` - True to disable the button
  Returns:
    TextAreaElement

### setName

    public TextAreaElement setName(java.lang.String val)

  Sets the name of a TextAreaElement.

  Parameters:
    `val` - Name
  Returns:
    TextAreaElement

### setTabindex

    public TextAreaElement setTabindex(java.lang.String tabindex)

  Sets the TABINDEX attribute for a TextAreaElement. The tabindex attribute determines the tabbing order of selectable or clickable elements on a page.

  Parameters:
    `tabindex` - Index
  Returns:
    TextAreaElement

### setTabindex

    public TextAreaElement setTabindex(int tabindex)

  Sets the tabbing order for a TextAreaElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard. This may be a positive or negative integer. Elements that are assigned the same tab index will be navigated in order of appearance on the page.

  Parameters:
    `tabindex` - int
  Returns:
    TextAreaElement

### setWrap

    public TextAreaElement setWrap(WrapType val)

  Sets the WRAP attribute of a TextAreaElement.

  Parameters:
    `val` - WrapType object
  Returns:
    TextAreaElement

### setOnFocus

    public TextAreaElement setOnFocus(java.lang.String val)

  Sets the ONFOCUS attribute of a TextAreaElement.

  Parameters:
    `val` - String
  Returns:
    TextAreaElement

### setOnBlur

    public TextAreaElement setOnBlur(java.lang.String val)

  Sets the ONBLUR attribute of a TextAreaElement.

  Parameters:
    `val` - String
  Returns:
    TextAreaElement

### setOnSelect

    public TextAreaElement setOnSelect(java.lang.String val)

  Sets the ONSELECT attribute of a TextAreaElement.

  Parameters:
    `val` - String
  Returns:
    TextAreaElement

### setOnChange

    public TextAreaElement setOnChange(java.lang.String val)

  Sets the ONCHANGE attribute of a TextAreaElement.

  Parameters:
    `val` - String
  Returns:
    TextAreaElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD